ServiceGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ServiceGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ServiceGroup

All Superinterfaces:
  ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  VCSLocalServiceGroup, VCSServiceGroup

    public interface ServiceGroup

extends ITSystem

A service group is a virtual container that contains all the hardware and software resources that are required to run the managed application. Service groups allow to control all the hardware and software resources of the managed application as a single unit.

Persistable:
  true
Table Name:
  SERVICEGRP

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ServiceGroup[]` | `getChildGroups()`
`ServiceGroup[]` | `getParentGroup()`
`boolean` | `hasChildGroups()`
`boolean` | `hasParentGroup()`
`void` | `setChildGroups(ServiceGroup[] x)`
`void` | `setParentGroup(ServiceGroup[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParentGroup

    ServiceGroup[] getParentGroup()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="true"

### setParentGroup

    void setParentGroup(ServiceGroup[] x)

### hasParentGroup

    boolean hasParentGroup()

### getChildGroups

    ServiceGroup[] getChildGroups()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setChildGroups

    void setChildGroups(ServiceGroup[] x)

### hasChildGroups

    boolean hasChildGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD